package cn.jlsxwkj.moudles.chat.message;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author zh
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AssistantMessage extends Message {

    /**
     * 机器人消息.
     *
     * @param message 消息
     */
    public AssistantMessage(final String message) {
        this.setRole(UserRole.ASSISTANT);
        this.setContent(message);
    }

}
