package cn.jlsxwkj.moudles.chat;

import cn.jlsxwkj.moudles.chat.message.Message;
import lombok.Data;
import org.springframework.ai.chat.prompt.ChatOptions;

import java.util.List;

/**
 * @author zh
 */
@Data
public class ChatRequest {
    /**
     * 模型.
     */
    private String model;
    /**
     * 消息列表.
     */
    private List<Message> messages;
    /**
     * 是否流.
     */
    private Boolean stream;
    /**
     * chat 参数.
     */
    private ChatOptions options;
}
