package cn.jlsxwkj.moudles.chat.message;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author zh
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SystemMessage extends Message {

    /**
     * 系统消息.
     * @param message 消息
     */
    public SystemMessage(final String message) {
        this.setRole(UserRole.SYSTEM);
        this.setContent(message);
    }

}
