package cn.jlsxwkj.moudles.weather_demo;

import cn.hutool.http.HttpRequest;
import cn.jlsxwkj.common.utils.Log;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.function.Function;

/**
 * @author zh
 */
@Service
public class WeatherService implements Function<Request, String> {

    /**
     * @param request Request
     * @return 天气
     */
    @Override
    public String apply(Request request) {
        Log.info(this.getClass(),
                "省 : {},  地区 {}", request.sheng(), request.place());
        HashMap<String, Object> kv = new HashMap<>();
        kv.put("id", 88888888);
        kv.put("key", 88888888);
        kv.put("sheng", request.sheng());
        kv.put("place", request.place());
        String body = HttpRequest.get(
                "https://cn.apihz.cn/api/tianqi/tqyb.php?")
                .form(kv).execute().body();
        Log.info(this.getClass(), body);
        return body;
        /*
        JSONObject weather = new JSONObject(body)
            .setDateFormat("yyyy-mm-dd HH:MM:ss");
        String format = """
                降水: %s
                温度: %s
                气压: %s
                湿度: %s
                风向: %s
                风向度: %s
                风速: %s
                风力等级: %s
                地区: %s
                天气: %s - %s
                """;

        return String.format(format,
                weather.get("precipitation"),
                weather.get("temperature"),
                weather.get("pressure"),
                weather.get("humidity"),
                weather.get("windDirection"),
                weather.get("windDirectionDegree"),
                weather.get("windSpeed"),
                weather.get("windScale"),
                weather.get("place"),
                weather.get("weather1"),
                weather.get("weather2"));
        */
    }
}

